from __future__ import annotations
from enum import Enum

class InnerMajorErrorCodes(int, Enum):
    RESET_SUPPORT_ERROR = 1
    RESET_OPERATION_ERROR = 2

class ResetSupportErrorCode(int, Enum):
    """Error codes for ResetSupport operations."""
    NORMAL_BOOT_FAILED = 1
    BBOOT_RESET_FAILED = 2
    NOT_IMPLEMENTED = 3
    PORT_OPEN_FAILED = 4
    PLUGIN_START_FILE_NOT_FOUND = 5
    PLUGIN_END_FILE_NOT_FOUND = 6
    PLUGIN_EXECUTION_FAILED = 7

class ResetOperationErrorCode(int, Enum):
    """Error codes for ResetOperation operations."""
